View Issue Details

IDProjectCategoryView StatusLast Update
0005242GNUnetintegration testspublic2018-06-07 00:54
ReporterHeiko StamerAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSLinuxOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0005242: Integration tests fail
Description=========================================================
   gnunet 0.11.0: src/integration-tests/test-suite.log
=========================================================

# TOTAL: 6
# PASS: 0
# SKIP: 0
# XFAIL: 0
# FAIL: 6
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_integration_bootstrap_and_connect.py
===============================================

Jan 03 19:04:15-112319 gnunet-daemon-topology-7551 WARNING `write' failed on file `/tmp/c_bootstrap_server//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Jan 03 19:04:15-205729 nat-7566 ERROR UPnP enabled in configuration, but UPnP client `upnpc` command not found, disabling UPnP
Jan 03 19:04:20-235835 arm-7568 WARNING Unable to bind listening socket for service `zonemaster' to address `/tmp/gnunet-stm-runtime//gnunet-service-zonemaster.sock': Address already in use
Jan 03 19:04:20-237657 arm-7568 WARNING Unable to bind listening socket for service `nat-auto' to address `/tmp/gnunet-system-runtime//gnunet-service-nat-auto.sock': Address already in use
Jan 03 19:04:20-238277 arm-7568 WARNING Unable to bind listening socket for service `nat' to address `/tmp/gnunet-system-runtime//gnunet-service-nat.sock': Address already in use
Jan 03 19:04:20-250736 gnunet-daemon-topology-7573 WARNING `write' failed on file `/tmp/c_no_nat_client//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Check had timeout after 180 seconds
Peers did not connect
6DQC ./confs/c_no_nat_client.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 1 != NaN FAIL!
0AZH ./confs/c_bootstrap_server.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 1 != NaN FAIL!
10 out of 12 conditions fulfilled
Test failed
FAIL test_integration_bootstrap_and_connect.py (exit status: 1)

FAIL: test_integration_disconnect.py
====================================

Jan 03 19:07:31-995530 gnunet-daemon-topology-7983 WARNING `write' failed on file `/tmp/c_bootstrap_server//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Jan 03 19:07:32-152320 nat-7998 ERROR UPnP enabled in configuration, but UPnP client `upnpc` command not found, disabling UPnP
Jan 03 19:07:37-174406 arm-8000 WARNING Unable to bind listening socket for service `zonemaster' to address `/tmp/gnunet-stm-runtime//gnunet-service-zonemaster.sock': Address already in use
Jan 03 19:07:37-176466 arm-8000 WARNING Unable to bind listening socket for service `nat-auto' to address `/tmp/gnunet-system-runtime//gnunet-service-nat-auto.sock': Address already in use
Jan 03 19:07:37-182976 arm-8000 WARNING Unable to bind listening socket for service `nat' to address `/tmp/gnunet-system-runtime//gnunet-service-nat.sock': Address already in use
Jan 03 19:07:37-197625 gnunet-daemon-topology-8005 WARNING `write' failed on file `/tmp/c_no_nat_client//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Starting peer using cfg ./confs/c_bootstrap_server.conf
Starting peer using cfg ./confs/c_no_nat_client.conf
Peers started, running check
Check had timeout after 180 seconds
Peers failed to connected!
6DQC ./confs/c_no_nat_client.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 1 != NaN FAIL!
0AZH ./confs/c_bootstrap_server.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 1 != NaN FAIL!
10 out of 12 conditions fulfilled
Stopping peer using cfg ./confs/c_bootstrap_server.conf
Stopping peer using cfg ./confs/c_no_nat_client.conf
Test failed
FAIL test_integration_disconnect.py (exit status: 1)

FAIL: test_integration_disconnect_nat.py
========================================

Jan 03 19:10:46-932053 gnunet-daemon-topology-8427 WARNING `write' failed on file `/tmp/c_bootstrap_server//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Jan 03 19:10:47-071504 nat-8442 ERROR UPnP enabled in configuration, but UPnP client `upnpc` command not found, disabling UPnP
Jan 03 19:10:52-095160 arm-8444 WARNING Unable to bind listening socket for service `zonemaster' to address `/tmp/gnunet-stm-runtime//gnunet-service-zonemaster.sock': Address already in use
Jan 03 19:10:52-097596 arm-8444 WARNING Unable to bind listening socket for service `nat-auto' to address `/tmp/gnunet-system-runtime//gnunet-service-nat-auto.sock': Address already in use
Jan 03 19:10:52-098229 arm-8444 WARNING Unable to bind listening socket for service `nat' to address `/tmp/gnunet-system-runtime//gnunet-service-nat.sock': Address already in use
Jan 03 19:10:52-110646 gnunet-daemon-topology-8449 WARNING `write' failed on file `/tmp/c_nat_client//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Starting peer using cfg ./confs/c_bootstrap_server.conf
Starting peer using cfg ./confs/c_nat_client.conf
Peers started, running check
Check had timeout after 180 seconds
Peers failed to connected!
VSFK ./confs/c_nat_client.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 1 != NaN FAIL!
0AZH ./confs/c_bootstrap_server.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 1 != NaN FAIL!
10 out of 12 conditions fulfilled
Stopping peer using cfg ./confs/c_bootstrap_server.conf
Stopping peer using cfg ./confs/c_nat_client.conf
Test failed
FAIL test_integration_disconnect_nat.py (exit status: 1)

FAIL: test_integration_reconnect.py
===================================

Jan 03 19:14:01-806016 gnunet-daemon-topology-8859 WARNING `write' failed on file `/tmp/c_bootstrap_server//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Jan 03 19:14:01-916175 nat-8874 ERROR UPnP enabled in configuration, but UPnP client `upnpc` command not found, disabling UPnP
Jan 03 19:14:01-928547 arm-8876 WARNING Unable to bind listening socket for service `zonemaster' to address `/tmp/gnunet-stm-runtime//gnunet-service-zonemaster.sock': Address already in use
Jan 03 19:14:01-930344 arm-8876 WARNING Unable to bind listening socket for service `nat-auto' to address `/tmp/gnunet-system-runtime//gnunet-service-nat-auto.sock': Address already in use
Jan 03 19:14:01-930984 arm-8876 WARNING Unable to bind listening socket for service `nat' to address `/tmp/gnunet-system-runtime//gnunet-service-nat.sock': Address already in use
Jan 03 19:14:01-943725 gnunet-daemon-topology-8881 WARNING `write' failed on file `/tmp/c_no_nat_client//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Jan 03 19:14:02-040986 util-service-8896 WARNING `bind' failed for `/tmp/gnunet-system-runtime//test-service-arm-4': address already in use
Jan 03 19:14:02-041125 arm-8896 ERROR `bind' failed at service.c:1290 with error: Address already in use
Jan 03 19:14:02-041196 util-service-8896 WARNING `bind' failed for port 20004 (IPv6): address already in use
Jan 03 19:14:02-041241 arm-8896 ERROR `bind' failed at service.c:1290 with error: Address already in use
Jan 03 19:14:02-041296 util-service-8896 WARNING `bind' failed for port 20004 (IPv4): address already in use
Jan 03 19:14:02-041334 arm-8896 ERROR `bind' failed at service.c:1290 with error: Address already in use
Jan 03 19:14:02-041359 arm-8896 ERROR Could not bind to any of the ports I was supposed to, refusing to run!
Jan 03 19:14:07-138451 util-service-8901 WARNING `bind' failed for `/tmp/gnunet-system-runtime//test-service-arm-18': address already in use
Jan 03 19:14:07-138585 arm-8901 ERROR `bind' failed at service.c:1290 with error: Address already in use
Jan 03 19:14:07-146215 util-service-8901 WARNING `bind' failed for port 20022 (IPv6): address already in use
Jan 03 19:14:07-146305 arm-8901 ERROR `bind' failed at service.c:1290 with error: Address already in use
Jan 03 19:14:07-146369 util-service-8901 WARNING `bind' failed for port 20022 (IPv4): address already in use
Jan 03 19:14:07-146412 arm-8901 ERROR `bind' failed at service.c:1290 with error: Address already in use
Jan 03 19:14:07-146443 arm-8901 ERROR Could not bind to any of the ports I was supposed to, refusing to run!
Removing /tmp/c_bootstrap_server
Removing /tmp/c_no_nat_client
Starting peer using cfg ./confs/c_bootstrap_server.conf
Starting peer using cfg ./confs/c_no_nat_client.conf
Starting peer using cfg ./confs/c_bootstrap_server.conf
Starting peer using cfg ./confs/c_no_nat_client.conf
Check had timeout after 180 seconds
Peers failed to connect
6DQC ./confs/c_no_nat_client.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 1 != NaN FAIL!
0AZH ./confs/c_bootstrap_server.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 1 != NaN FAIL!
8 out of 10 conditions fulfilled
Stopping peer using cfg ./confs/c_bootstrap_server.conf
Stopping peer using cfg ./confs/c_no_nat_client.conf
Removing /tmp/c_bootstrap_server
Removing /tmp/c_no_nat_client
Test failed
FAIL test_integration_reconnect.py (exit status: 1)

FAIL: test_integration_reconnect_nat.py
=======================================

Jan 03 19:17:13-774875 gnunet-daemon-topology-9297 WARNING `write' failed on file `/tmp/c_bootstrap_server//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Jan 03 19:17:13-948544 nat-9312 ERROR UPnP enabled in configuration, but UPnP client `upnpc` command not found, disabling UPnP
Jan 03 19:17:13-960852 arm-9314 WARNING Unable to bind listening socket for service `zonemaster' to address `/tmp/gnunet-stm-runtime//gnunet-service-zonemaster.sock': Address already in use
Jan 03 19:17:13-962381 arm-9314 WARNING Unable to bind listening socket for service `nat-auto' to address `/tmp/gnunet-system-runtime//gnunet-service-nat-auto.sock': Address already in use
Jan 03 19:17:13-962946 arm-9314 WARNING Unable to bind listening socket for service `nat' to address `/tmp/gnunet-system-runtime//gnunet-service-nat.sock': Address already in use
Jan 03 19:17:13-976162 gnunet-daemon-topology-9319 WARNING `write' failed on file `/tmp/c_nat_client//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Jan 03 19:17:14-033365 util-service-9330 WARNING `bind' failed for `/tmp/gnunet-system-runtime//test-service-arm-4': address already in use
Jan 03 19:17:14-033495 arm-9330 ERROR `bind' failed at service.c:1290 with error: Address already in use
Jan 03 19:17:14-033571 util-service-9330 WARNING `bind' failed for port 20004 (IPv6): address already in use
Jan 03 19:17:14-033617 arm-9330 ERROR `bind' failed at service.c:1290 with error: Address already in use
Jan 03 19:17:14-033676 util-service-9330 WARNING `bind' failed for port 20004 (IPv4): address already in use
Jan 03 19:17:14-033717 arm-9330 ERROR `bind' failed at service.c:1290 with error: Address already in use
Jan 03 19:17:14-033745 arm-9330 ERROR Could not bind to any of the ports I was supposed to, refusing to run!
Jan 03 19:17:19-201048 util-service-9338 WARNING `bind' failed for `/tmp/gnunet-system-runtime//test-service-arm-46': address already in use
Jan 03 19:17:19-201178 arm-9338 ERROR `bind' failed at service.c:1290 with error: Address already in use
Jan 03 19:17:19-201249 util-service-9338 WARNING `bind' failed for port 20058 (IPv6): address already in use
Jan 03 19:17:19-201294 arm-9338 ERROR `bind' failed at service.c:1290 with error: Address already in use
Jan 03 19:17:19-201350 util-service-9338 WARNING `bind' failed for port 20058 (IPv4): address already in use
Jan 03 19:17:19-201387 arm-9338 ERROR `bind' failed at service.c:1290 with error: Address already in use
Jan 03 19:17:19-201414 arm-9338 ERROR Could not bind to any of the ports I was supposed to, refusing to run!
Removing /tmp/c_bootstrap_server
Removing /tmp/c_nat_client
Starting peer using cfg ./confs/c_bootstrap_server.conf
Starting peer using cfg ./confs/c_nat_client.conf
Starting peer using cfg ./confs/c_bootstrap_server.conf
Starting peer using cfg ./confs/c_nat_client.conf
Check had timeout after 180 seconds
Peers failed to connect
VSFK ./confs/c_nat_client.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 1 != NaN FAIL!
0AZH ./confs/c_bootstrap_server.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 1 != NaN FAIL!
8 out of 10 conditions fulfilled
Stopping peer using cfg ./confs/c_bootstrap_server.conf
Stopping peer using cfg ./confs/c_nat_client.conf
Removing /tmp/c_bootstrap_server
Removing /tmp/c_nat_client
Test failed
FAIL test_integration_reconnect_nat.py (exit status: 1)

FAIL: test_integration_clique.py
================================

Jan 03 19:20:25-821302 gnunet-daemon-topology-9733 WARNING `write' failed on file `/tmp/c_bootstrap_server//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Jan 03 19:20:25-950606 nat-9748 ERROR UPnP enabled in configuration, but UPnP client `upnpc` command not found, disabling UPnP
Jan 03 19:20:30-975172 arm-9750 WARNING Unable to bind listening socket for service `zonemaster' to address `/tmp/gnunet-stm-runtime//gnunet-service-zonemaster.sock': Address already in use
Jan 03 19:20:30-977116 arm-9750 WARNING Unable to bind listening socket for service `nat-auto' to address `/tmp/gnunet-system-runtime//gnunet-service-nat-auto.sock': Address already in use
Jan 03 19:20:30-984025 arm-9750 WARNING Unable to bind listening socket for service `nat' to address `/tmp/gnunet-system-runtime//gnunet-service-nat.sock': Address already in use
Jan 03 19:20:30-996029 gnunet-daemon-topology-9755 WARNING `write' failed on file `/tmp/c_no_nat_client//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Jan 03 19:20:36-084109 arm-9772 WARNING Unable to bind listening socket for service `zonemaster' to address `/tmp/gnunet-stm-runtime//gnunet-service-zonemaster.sock': Address already in use
Jan 03 19:20:36-085495 arm-9772 WARNING Unable to bind listening socket for service `nat-auto' to address `/tmp/gnunet-system-runtime//gnunet-service-nat-auto.sock': Address already in use
Jan 03 19:20:36-092111 arm-9772 WARNING Unable to bind listening socket for service `nat' to address `/tmp/gnunet-system-runtime//gnunet-service-nat.sock': Address already in use
Jan 03 19:20:36-103781 gnunet-daemon-topology-9775 WARNING `write' failed on file `/tmp/c_nat_client//.config/gnunet//topology/friends.txt' at friends.c:69 with error: Datei oder Verzeichnis nicht gefunden
Removing /tmp/c_bootstrap_server
Removing /tmp/c_no_nat_client
Removing /tmp/c_nat_client
Starting peer using cfg ./confs/c_bootstrap_server.conf
Starting peer using cfg ./confs/c_no_nat_client.conf
Starting peer using cfg ./confs/c_nat_client.conf
Peers started, running check
Check had timeout after 180 seconds
6DQC ./confs/c_no_nat_client.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 2 != NaN FAIL!
VSFK ./confs/c_nat_client.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 2 != NaN FAIL!
0AZH ./confs/c_bootstrap_server.conf statistics condition in subsystem "core " : "# neighbour entries allocated " : (expected/real value) 2 != NaN FAIL!
15 out of 18 conditions fulfilled
Failed to connect clique
Stopping peer using cfg ./confs/c_bootstrap_server.conf
Stopping peer using cfg ./confs/c_no_nat_client.conf
Stopping peer using cfg ./confs/c_nat_client.conf
Removing /tmp/c_bootstrap_server
Removing /tmp/c_no_nat_client
Removing /tmp/c_nat_client
Test failed
FAIL test_integration_clique.py (exit status: 1)
Steps To Reproducemake check
TagsNo tags attached.

Activities

Christian Grothoff

2018-01-12 12:12

manager   ~0012770

2dd837124..9428ea300 fixes the friends.txt write issue, but this is NOT why the test is failing.

Christian Grothoff

2018-06-07 00:53

manager   ~0012994

I fixed this, the tests simply had the wrong strings in them.

Issue History

Date Modified Username Field Change
2018-01-03 19:43 Heiko Stamer New Issue
2018-01-03 19:43 Heiko Stamer Status new => assigned
2018-01-03 19:43 Heiko Stamer Assigned To => Matthias Wachs
2018-01-12 12:12 Christian Grothoff Note Added: 0012770
2018-01-12 12:12 Christian Grothoff Target Version => 0.11.0pre66
2018-01-12 12:12 Christian Grothoff Summary Integration tests failed due to missing friends.txt => Integration tests fail
2018-06-07 00:53 Christian Grothoff Status assigned => resolved
2018-06-07 00:53 Christian Grothoff Resolution open => fixed
2018-06-07 00:53 Christian Grothoff Fixed in Version => 0.11.0pre66
2018-06-07 00:53 Christian Grothoff Note Added: 0012994
2018-06-07 00:54 Christian Grothoff Status resolved => closed
2018-06-07 00:54 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff